Bug 159923 - usb-storage locks up computer
usb-storage locks up computer
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-06-09 06:41 EDT by Dennis Björklund
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dennis Björklund 2005-06-09 06:41:45 EDT
Sometimes when I use usb-storage (with a mp3 player) after I umount it then the
computer locks up. It answers to ping, but I can't ssh to the computer or do
anything with it.

It doesn't happen every time, but the last 2 days i've mounted and copied to and
from the mp3 player about 10 times, and I've had the computer lockup twice. Both
times a short while after I've umounted.

The computer never crashes normally and I borrowed the mp3 player yesterday and
have had 2 crashes while before it was like 2 crashes during 2 years. So I'm
very sure it's caused by usb-storage.

I use kernel-2.6.11-1.14_FC3.

I assume this should be blamed on the kernel, and that no matter what the usb
device do the OS should not lock up? Not that I suspect that the mp3 player do
anything wrong, but who knows. It works fine in windows.

Not much of a bug report, but this is all I have to report about it... :-)
Comment 1 Pete Zaitcev 2005-06-09 13:43:59 EDT
Yes, it's not much but thanks anyway. Try to make it break while console
is in text mode, this may show some messages. Another thing to do is
to enable sysrq in /etc/sysctl.conf, then use <alt-sysrq-t> to show
stuck processes. This should end in /var/log/messages.
Comment 2 Pete Zaitcev 2005-06-11 00:28:48 EDT
Dennis, anything new here?

Also, have you tried to take a kernel from FC4? They are compatible.
rpm -i shouls install it.
Comment 3 Dennis Björklund 2005-06-11 06:28:15 EDT
I spent an hour or two yesterday in console mode inserting, mounting, copying,
umounting and removing the device (25-30 times). Do you think it locked up? :-) 
Comment 4 Pete Zaitcev 2005-06-11 16:54:36 EDT
Is this with FC4 kernel or FC3 kernel?

Also, if you go back to X11, would it lock up again?
Comment 5 Dennis Björklund 2005-06-12 03:23:43 EDT
The FC3 kernel.

There could be a connection with X. One of the two times it did lockup it was
about 20 minutes after I had removed the usb device and I switched to a
different virtual screen in X. That's something I do 500 times a day so it's not
something that have locked up the computer before. The other time it locked up
it was very shortly after I disconnected the device, and I don't know what
happend in X during that time.

I really don't expect you to be able to do much with this report. I'm a
programmer and I know what a good and a bad bug report is.

I'll try to trigger it once again, in X this time. And I've enabled sysrq now so
with a little bit luck maybe I can get some info even if it locks up in X.

I've only borrowed the mp3 player, so I have a limited time to try to make
something good from the lockup before I return it. Thanks for the attention, it
makes it much more fun when someone listens to try to trigger the bug again to
get useful info out. Maybe it's one of those bugs where the moon has to be in
the correct position to trigger it... :-)
Comment 6 Dennis Björklund 2005-06-12 06:02:23 EDT
I did manage to trigger it again, and in X again. I was happy and thought that
using <alt-sysrq-t> I would get some info in /var/log/messages. But I didn't.

I pressed it twice, and did <alt-sysrq-s> three times after each to sync the
disks in hope that it would be written into the log (I did it three times for
luck, but no luck for me). Then I did <alt-sysrq-b> and it rebooted, so that
tells me that the lat-sysrq stuff was working.

This time I used the usb device during an hour and copied 150M to and from it.
In between I tried to use X like crazy, but no lockup. So I gave up and now when
I came back an hour later it locked up after just some minutes of use, just when
I closed a gnome-terminal.

If I hadn't know better I would have thought it was a X problem, but I've been
using this ATI 9200 for a long time with the default drivers in FC3 and there
have not been a problem before. I'm pretty sure it is related to the usb-storage
(or whatever is involved when I insert the mp3 player).

Since I can't get any info out of it when I crashes I guess I should try the FC4
kernel. I assume it is expected to work fine in FC3 since you suggested me to
try it?
Comment 7 Pete Zaitcev 2005-06-12 13:20:50 EDT
FC4 kernel is compatible. It adds a few functions, but it supports everything
the old FC3 userland needs.

I am loth to ask, but perhaps getting a serial console working may help.
Comment 8 Pete Zaitcev 2005-07-06 15:45:05 EDT
By the way, please run memtest86 on the box. I'm not joking.
I saw this happening to people before: bad RAM causing lockups
when EHCI accesses it with DMA, working fine with cached CPU access.
Comment 9 Dennis Björklund 2005-07-07 02:26:29 EDT
I currently don't have any mp3-player that I can test this with (the one I had
was borrowed). I hope to get my hands on one again in a not so distant future.

More important is that I've found reports of people in windows havning similar
problems which was solved with a bios upgrade. So it might very well be a solution.

I don't know why bios is involved just for usb-storage access. USB in itself
seems to work fine, I have a printer, scanner and an ond PTP camera that work
fins one USB with no lockups. But it's of course possible that something bios
related is triggered by usb-storage and not the other usb access methods.
Comment 10 Dave Jones 2005-07-15 13:35:33 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 11 Dave Jones 2005-10-02 20:07:10 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.